Subject: Re: bug#1806: dired-pop-to-buffer in wrong place

From: martin rudalics <[email-masked]>
Date: Thu, 08 Jan 2009 20:25:26 +0100

> I think pop-to-buffer should be extended in the following way:
 > currently, the only way for pop-to-buffer to indicate "where" to display
 > the buffer is via the `other-buffer' argument.

... you mean the `other-window' argument ...

 > This should be
 > generalized so as to be able to say "preferably in the selected-window"
 > (to provide basically the behavior of switch-to-buffer), or "preferably
 > in selected-frame", or "preferably close to the minibuffer".  The first
 > 2 are available *to the user* via the `same-window' and `same-frame'
 > attribute that they can set in special-display-buffer-names, but they
 > should also be available to the program (and overridable by the user).

But none of these provide the behavior wanted by Juri.  He wants to
split the selected window which runs counter to the `pop-up-frames'
non-nil ideology.  So I suppose we need a "preferably splitting the
selected window" value which can be overridden by `pop-up-frames'.

martin